Page MenuHomePhabricator

flaky test: MWException: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.
Closed, ResolvedPublic

Description

Dunno which extension is at fault:
https://integration.wikimedia.org/ci/job/mediawiki-extensions-zend/18603/consoleFull

22:23:07 There was 1 error:
22:23:07 
22:23:07 1) SpecialMobileDiffTest::testNames with data set #0 ('123', true)
22:23:07 MWException: Diff not implemented for Flow\Content\BoardContent; override generateContentDiffBody to fix this.
22:23:07 
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/includes/diff/DifferenceEngine.php:790
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/includes/diff/DifferenceEngine.php:733
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php:214
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php:125
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/extensions/MobileFrontend/tests/phpunit/specials/SpecialMobileDiffTest.php:22
22:23:07 /mnt/jenkins-workspace/workspace/mediawiki-extensions-zend/src/tests/phpunit/MediaWikiTestCase.php:131

Event Timeline

Legoktm created this task.May 28 2015, 10:37 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm triaged this task as High priority.May 29 2015, 1:03 AM
Legoktm raised the priority of this task from High to Unbreak Now!.May 29 2015, 11:13 PM

This is getting really annoying, and causing random core and extension patches to fail. (https://integration.wikimedia.org/ci/job/mediawiki-extensions-zend/18723/consoleFull)

Apparently only happening on zend???

Change 215036 had a related patch set uploaded (by Krinkle):
Disable broken test "SpecialMobileDiffTest::testNames"

https://gerrit.wikimedia.org/r/215036

Change 215036 merged by jenkins-bot:
Disable broken test "SpecialMobileDiffTest::testNames"

https://gerrit.wikimedia.org/r/215036

Change 215386 had a related patch set uploaded (by Phuedx):
Fix SpecialMobileDiffTest#testNames test

https://gerrit.wikimedia.org/r/215386

phuedx added a comment.Jun 2 2015, 7:08 PM

AFAICT the test was exercising the whole stack, including loading revisions by ID from the DB, in order to test one specific part of SpecialMobileDiffTest#executeWhenAvailable.

Change 215386 merged by jenkins-bot:
Fix SpecialMobileDiffTest#testNames test

https://gerrit.wikimedia.org/r/215386

Krinkle removed a subscriber: Krinkle.Jun 4 2015, 12:42 AM
phuedx closed this task as Resolved.Jun 11 2015, 9:59 AM
phuedx removed a project: Patch-For-Review.

Unless anyone else says otherwise…

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2018, 1:25 AM